summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-01-10 15:21:10 +0100
committerRemi Collet <remi@php.net>2022-01-10 15:21:10 +0100
commitbb2480b2c0455139edd9f51611717901368064fb (patch)
tree1284c6a55c197f642393d62d97e2e1570890c56b
parent4324de293e69370286cba9b7fbc2bd783a5430e8 (diff)
update to 1.3.0HEADmaster
keep compatibility using laminas-zendframework-bridge as this is only used using compat autolader raise dependency on laminas-filter 2.13.1 raise dependency on laminas-form 3.1 raise dependency on laminas-inputfilter 2.13 raise dependency on laminas-mvc 3.3 raise dependency on laminas-session 2.12 raise dependency on laminas-stdlib 3.6.2 raise dependency on laminas-validator 2.15.1
-rw-r--r--composer.json34
-rw-r--r--php-laminas-mvc-plugin-fileprg.spec89
2 files changed, 73 insertions, 50 deletions
diff --git a/composer.json b/composer.json
index ff8c30d..7c74b95 100644
--- a/composer.json
+++ b/composer.json
@@ -16,7 +16,10 @@
"forum": "https://discourse.laminas.dev"
},
"config": {
- "sort-packages": true
+ "sort-packages": true,
+ "allow-plugins": {
+ "dealerdirect/phpcodesniffer-composer-installer": true
+ }
},
"extra": {
"laminas": {
@@ -24,22 +27,22 @@
}
},
"require": {
- "php": "^7.3 || ~8.0.0",
- "laminas/laminas-filter": "^2.6.1",
- "laminas/laminas-form": "^2.7",
- "laminas/laminas-inputfilter": "^2.8.1",
- "laminas/laminas-mvc": "^3.0",
- "laminas/laminas-session": "^2.8.5",
- "laminas/laminas-stdlib": "^3.3",
- "laminas/laminas-validator": "^2.6",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.4 || ~8.0.0 || ~8.1.0",
+ "laminas/laminas-filter": "^2.13.1",
+ "laminas/laminas-form": "^3.1",
+ "laminas/laminas-inputfilter": "^2.13",
+ "laminas/laminas-mvc": "^3.3",
+ "laminas/laminas-session": "^2.12",
+ "laminas/laminas-stdlib": "^3.6.2",
+ "laminas/laminas-validator": "^2.15.1"
},
"require-dev": {
- "laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^9.3"
+ "laminas/laminas-coding-standard": "~2.3.0",
+ "phpunit/phpunit": "^9.5.11"
},
"conflict": {
- "laminas/laminas-mvc": "<3.0.0"
+ "laminas/laminas-mvc": "<3.0.0",
+ "zendframework/zend-mvc-plugin-fileprg": "*"
},
"autoload": {
"psr-4": {
@@ -48,6 +51,8 @@
},
"autoload-dev": {
"psr-4": {
+ "Laminas\\Filter\\File\\": "polyfill/Filter/File/",
+ "Laminas\\Validator\\File\\": "polyfill/Validator/File/",
"LaminasTest\\Mvc\\Plugin\\FilePrg\\": "test/"
}
},
@@ -60,8 +65,5 @@
"cs-fix": "phpcbf",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
- },
- "replace": {
- "zendframework/zend-mvc-plugin-fileprg": "^1.1.0"
}
}
diff --git a/php-laminas-mvc-plugin-fileprg.spec b/php-laminas-mvc-plugin-fileprg.spec
index 2a57589..d0ddea9 100644
--- a/php-laminas-mvc-plugin-fileprg.spec
+++ b/php-laminas-mvc-plugin-fileprg.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-mvc-plugin-fileprg
#
-# Copyright (c) 2016-2021 Remi Collet
+# Copyright (c) 2016-2022 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 2d6a64bf916b3f5f26a062b9c62d06af26ee483f
+%global gh_commit 8c795ed57b83858ea032a44045a6642b05c27ee6
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-mvc-plugin-fileprg
@@ -24,7 +24,7 @@
%endif
Name: php-%{gh_project}
-Version: 1.2.0
+Version: 1.3.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj}/%{subsubp} component
@@ -39,22 +39,22 @@ BuildArch: noarch
BuildRequires: php(language) >= 7.3
BuildRequires: php-reflection
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^9.3"
+# "laminas/laminas-coding-standard": "~2.3.0",
+# "phpunit/phpunit": "^9.5.11"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.7 with php-autoloader(%{gh_owner}/laminas-form) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-inputfilter) >= 2.8.1 with php-autoloader(%{gh_owner}/laminas-inputfilter) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.0 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.8.5 with php-autoloader(%{gh_owner}/laminas-session) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.6 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.13.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-form) >= 3.1 with php-autoloader(%{gh_owner}/laminas-form) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-inputfilter) >= 2.13 with php-autoloader(%{gh_owner}/laminas-inputfilter) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.3 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.12 with php-autoloader(%{gh_owner}/laminas-session) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6.2 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.15.1 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:10
%else
BuildRequires: php-laminas-filter
-BuildRequires: php-laminas-form
+BuildRequires: php-laminas-form3
BuildRequires: php-laminas-inputfilter
BuildRequires: php-laminas-mvc
BuildRequires: php-laminas-session
@@ -63,31 +63,30 @@ BuildRequires: php-laminas-validator
BuildRequires: php-laminas-zendframework-bridge
%endif
%global phpunit %{_bindir}/phpunit9
-BuildRequires: phpunit9 >= 9.3
+BuildRequires: phpunit9 >= 9.5.11
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.3 || ~8.0.0",
-# "laminas/laminas-filter": "^2.6.1",
-# "laminas/laminas-form": "^2.7",
-# "laminas/laminas-inputfilter": "^2.8.1",
-# "laminas/laminas-mvc": "^3.0",
-# "laminas/laminas-session": "^2.8.5",
-# "laminas/laminas-stdlib": "^3.3",
-# "laminas/laminas-validator": "^2.6",
-# "laminas/laminas-zendframework-bridge": "^1.0"
+# "php": "^7.4 || ~8.0.0 || ~8.1.0",
+# "laminas/laminas-filter": "^2.13.1",
+# "laminas/laminas-form": "^3.1",
+# "laminas/laminas-inputfilter": "^2.13",
+# "laminas/laminas-mvc": "^3.3",
+# "laminas/laminas-session": "^2.12",
+# "laminas/laminas-stdlib": "^3.6.2",
+# "laminas/laminas-validator": "^2.15.1"
Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.7 with php-autoloader(%{gh_owner}/laminas-form) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-inputfilter) >= 2.8.1 with php-autoloader(%{gh_owner}/laminas-inputfilter) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.0 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.8.5 with php-autoloader(%{gh_owner}/laminas-session) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.6 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.13.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-form) >= 3.1 with php-autoloader(%{gh_owner}/laminas-form) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-inputfilter) >= 2.13 with php-autoloader(%{gh_owner}/laminas-inputfilter) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.3 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.12 with php-autoloader(%{gh_owner}/laminas-session) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6.2 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.15.1 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:10
%else
@@ -136,7 +135,7 @@ phpab --template fedora --output src/autoload.php src
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
'%{php_home}/%{namespace}/Filter/autoload.php',
- '%{php_home}/%{namespace}/Form/autoload.php',
+ '%{php_home}/%{namespace}/Form3/autoload.php',
'%{php_home}/%{namespace}/InputFilter/autoload.php',
'%{php_home}/%{namespace}/Mvc/autoload.php',
'%{php_home}/%{namespace}/Session/autoload.php',
@@ -171,9 +170,14 @@ mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/%{subproj}/%{subsubp}/autoload.php';
+\Fedora\Autoloader\Autoload::addPsr4('%{namespace}\\Filter\\File\\', dirname(__DIR__) . 'polyfill/Filter/File');
+\Fedora\Autoloader\Autoload::addPsr4('%{namespace}\\Validator\\File\\', dirname(__DIR__) . 'polyfill/Validator/File');
\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\%{subproj}\\%{subsubp}\\', dirname(__DIR__) . '/test');
EOF
+sed -e "s:__DIR__ . '/../vendor/laminas/laminas-filter/src:'/usr/share/php/Laminas/Filter:" \
+ -e "s:__DIR__ . '/../vendor/laminas/laminas-validator/src:'/usr/share/php/Laminas/Validator:" \
+ -i test/bootstrap.php
: check compat autoloader
php -r '
@@ -183,10 +187,12 @@ exit (class_exists("\\Zend\\%{library}\\%{subproj}\\%{subsubp}\\Module") ? 0 : 1
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php73 php74 php80; do
+for cmdarg in "php %{phpunit}" php74 php80 php81; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} \
+ --filter '^((?!(testCorrectInputDataMerging)).)*$' \
+ --verbose || ret=1
fi
done
exit $ret
@@ -208,10 +214,25 @@ exit $ret
%changelog
+* Thu Jan 6 2022 Remi Collet <remi@remirepo.net> - 1.3.0-1
+- update to 1.3.0
+- keep compatibility using laminas-zendframework-bridge
+ as this is only used using compat autolader
+- raise dependency on laminas-filter 2.13.1
+- raise dependency on laminas-form 3.1
+- raise dependency on laminas-inputfilter 2.13
+- raise dependency on laminas-mvc 3.3
+- raise dependency on laminas-session 2.12
+- raise dependency on laminas-stdlib 3.6.2
+- raise dependency on laminas-validator 2.15.1
+
+* Tue Aug 3 2021 Remi Collet <remi@remirepo.net> - 1.2.0-2
+- ignore 1 test with erratic result, fix FTBFS #1987837
+
* Wed Apr 14 2021 Remi Collet <remi@remirepo.net> - 1.2.0-1
- update to 1.2.0
- raise dependency on PHP 7.3
-- raise dependency on aminas-stdlib 3.3
+- raise dependency on laminas-stdlib 3.3
- switch to phpunit9
* Thu Jan 16 2020 Remi Collet <remi@remirepo.net> - 1.1.0-1